@echo off

echo # Creating configuration for NEOVIM
echo let $NVIM_TUI_ENABLE_TRUE_COLOR=1 > %USERPROFILE%\AppData\Local\nvim\init.vim
echo set termguicolors >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo :set formatoptions^=tcqrn1 >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo :set tabstop^=2 >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo :set shiftwidth^=2 >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo :set softtabstop^=2 >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo :set expandtab >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo :set noshiftround >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo. >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo ^" Color scheme >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo ^":hi clear >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo :colorscheme gruvbox >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo ^":colorscheme desert >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo :set background^=dark >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo let g:gruvbox_contrast_dark ^= "medium" >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo let g:lightline = { 'colorscheme': 'wombat', } >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo ^":hi Normal ctermfg^=145 ctermbg^=234 >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo ^":hi Normal guifg^=#ABB2BF guibg^=#282C34 gui^=NONE cterm^=NONE >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo. >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo let ^&t_ut^='' >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo :tab all >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo ^" Change fonts for Windows >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo :set guifont^=Consolas:h10.5:cANSI >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo. >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo if has("gui_macvim") >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo     set guifont^=Menlo\ Regular:h14 >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo endif >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo. >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo ^" Helps force plug-ins to load correctly when it is turned back on below. >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo filetype off >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo. >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo ^" Turn on syntax highlighting. >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo syntax on >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo. >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo ^" For plug-ins to load correctly. >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo filetype plugin indent on >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo. >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo ^" Set status line display >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo set statusline^=%%F%%%^%m%%%^%r%%%^%h%%%^%w%^%^\ ^[%^%%%{^&ff}]\ [filetype^=%%Y%^%]\ [%%l%^%,%%v%^%][%%p%%%%]\ [%^%%%{strftime('%%F%^%')}\ %^%%%{strftime('%%T%^%')}] >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo. >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo ^" Encoding >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo set encoding=utf-8 >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo. >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo ^" Fixes common backspace problems >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo set backspace^=indent,eol,start >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo. >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo ^" Status bar >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo set laststatus=2 >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo. >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo ^" Display options >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo :set showmode >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo :set showcmd >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo. >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo ^" File explorer >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo nnoremap ^<leader^>n :Explore^<CR^> >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo nnoremap ^<C-n^> :Lexplore^<CR^> >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo nnoremap ^<C-t^> :Vexplore^<CR^> >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo nnoremap ^<C-f^> :Texplore^<CR^> >> %USERPROFILE%\AppData\Local\nvim\init.vim
echo # Created %USERPROFILE%\AppData\Local\nvim\init.vim
echo.

rem # Copy Gruvbox theme 
mkdir %USERPROFILE%\AppData\Local\nvim
mkdir %USERPROFILE%\AppData\Local\nvim\colors
mkdir %USERPROFILE%\AppData\Local\nvim\autoload
rmdir /S /Q %USERPROFILE%\AppData\Local\nvim\plugin
mkdir %USERPROFILE%\AppData\Local\nvim\plugin
xcopy /Y /E gruvbox-vim-theme\colors\* %USERPROFILE%\AppData\Local\nvim\colors\
xcopy /Y /E gruvbox-vim-theme\autoload\* %USERPROFILE%\AppData\Local\nvim\autoload\
set /p opcion=# Do you want to install the lightline? (Y/n): 
if "%opcion%" == "n" goto :end_vim
if "%opcion%" == "no" goto :end_vim
if "%opcion%" == "NO" goto :end_vim
if "%opcion%" == "N" goto :end_vim
:other_option
xcopy /Y /E vim-lightline-plugin\plugin\* %USERPROFILE%\AppData\Local\nvim\plugin\
xcopy /Y /E vim-lightline-plugin\autoload\* %USERPROFILE%\AppData\Local\nvim\autoload\
:end_vim
pause
